Skip to main content
PUT
/
environment
/
{environmentId}
/
environmentVariable
/
{environmentVariableId}
Edit an environment variable belonging to the environment
curl --request PUT \
  --url https://api.qovery.com/environment/{environmentId}/environmentVariable/{environmentVariableId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "mount_path": "<string>",
  "description": "<string>",
  "enable_interpolation_in_file": true
}
'
import requests

url = "https://api.qovery.com/environment/{environmentId}/environmentVariable/{environmentVariableId}"

payload = {
"key": "<string>",
"value": "<string>",
"mount_path": "<string>",
"description": "<string>",
"enable_interpolation_in_file": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
value: '<string>',
mount_path: '<string>',
description: '<string>',
enable_interpolation_in_file: true
})
};

fetch('https://api.qovery.com/environment/{environmentId}/environmentVariable/{environmentVariableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "key": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "value": "<string>",
  "mount_path": null,
  "description": "<string>",
  "enable_interpolation_in_file": true,
  "overridden_variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "value": "<string>",
    "mount_path": "<string>"
  },
  "aliased_variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "QOVERY_DATABASE_PSQL_NAME",
    "value": "<string>",
    "mount_path": "<string>"
  },
  "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "service_name": "<string>",
  "owned_by": "<string>"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

environmentVariableId
string<uuid>
required

Environment Variable ID

Body

application/json
key
string
required

key is case sensitive

value
string

value of the env variable.

mount_path
string | null
description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null

Response

Edited the environment variable value

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
key
string
required

key is case sensitive.

scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
variable_type
enum<string>
required

type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET, FILE_EXTERNAL_SECRET)

Available options:
VALUE,
ALIAS,
OVERRIDE,
BUILT_IN,
FILE,
EXTERNAL_SECRET,
FILE_EXTERNAL_SECRET
updated_at
string<date-time>
read-only
value
string

value of the env variable.

mount_path
string | null

should be set for file only. variable mount path makes variable a file (where file should be mounted).

description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null
overridden_variable
object
aliased_variable
object
service_id
string<uuid>
service_name
string
service_type
enum<string>

type of the service (application, database, job, gateway...)

Available options:
APPLICATION,
CONTAINER,
DATABASE,
JOB,
HELM,
TERRAFORM
owned_by
string

Entity that created/own the variable (i.e: Qovery, Doppler)